> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elementum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an organization domain



## OpenAPI

````yaml post /domains
openapi: 3.0.1
info:
  title: Elementum API
  description: ''
  contact:
    email: apiteam@elementum.io
  version: 0.0.1
servers:
  - url: /v1
security: []
tags:
  - name: Access Token
    description: Manage access tokens using OAuth 2.0 standards
  - name: Agents
    description: Manage AI agents
  - name: Apps
    description: Compose and manage apps
  - name: Attachments
    description: Manage the attachments of a record
  - name: Automations
    description: Manage automations
  - name: Comments
    description: Manage the conversation of a record
  - name: Flows
    description: Manage flows
  - name: Groups
    description: Manage groups and group membership
  - name: Domains
    description: Manage organization domains
  - name: Records
    description: Manage your records
  - name: Related-items
    description: Manage the related items of a record
  - name: Search Tables
    description: Manage search tables (snowflake and linked)
  - name: Skills
    description: Manage agent skills
  - name: Tables
    description: 'Manage tables: schemas, fields, joins, and join mappings'
  - name: Users
    description: Manage users in your organization
  - name: Views
    description: Manage app views
  - name: Watchers
    description: Manage the watchers of a record
externalDocs:
  description: Find out more about Elementum
  url: https://www.elementum.com/
paths:
  /domains:
    post:
      tags:
        - Domains
      summary: Create an organization domain
      operationId: createOrganizationDomain
      parameters: []
      requestBody:
        description: The domain to create (exactly one of managedDomain or emailDomain)
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationDomainRequest'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationDomain'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ClientCredentials: []
components:
  schemas:
    OrganizationDomainRequest:
      type: object
      properties:
        emailDomain:
          $ref: '#/components/schemas/EmailDomainInput'
        managedDomain:
          $ref: '#/components/schemas/ManagedDomainInput'
      description: Exactly one of managedDomain or emailDomain must be set
      example:
        managedDomain:
          domain: example.com
          name: Example
    OrganizationDomain:
      type: object
      properties:
        domain:
          type: string
          description: The domain
        internal:
          type: boolean
          description: Whether users on this domain are internal (managed only)
        approved:
          type: boolean
          description: Whether the domain is approved (managed only)
        id:
          type: string
          description: The domain ID
          format: uuid
        startUrl:
          type: string
          description: SSO start URL (managed only)
        selfRegistration:
          type: boolean
          description: Whether self-registration is allowed (managed only)
        name:
          type: string
          description: Display name (managed only)
        type:
          type: string
          description: MANAGED or EMAIL
        sso:
          type: boolean
          description: Whether SSO is enabled (managed only)
      example:
        name: Example
        domain: example.com
        id: 550e8400-e29b-41d4-a716-446655440001
        type: MANAGED
    EmailDomainInput:
      type: object
      properties:
        domain:
          type: string
          description: The email-send domain
      example:
        domain: mail.example.com
    ManagedDomainInput:
      type: object
      properties:
        approved:
          type: boolean
          description: Whether the domain is approved
        domain:
          type: string
          description: The domain, e.g. example.com
        sso:
          type: boolean
          description: Whether SSO is enabled (mutually exclusive with selfRegistration)
        internal:
          type: boolean
          description: Whether users on this domain are internal to the org
        startUrl:
          type: string
          description: SSO start URL
        selfRegistration:
          type: boolean
          description: Whether self-registration is allowed (mutually exclusive with sso)
        name:
          type: string
          description: Display name
      example:
        domain: example.com
        name: Example
  responses:
    '400':
      description: Bad Request
    '401':
      description: Unauthorized
    '403':
      description: Forbidden
    '404':
      description: Not Found
    '422':
      description: Unprocessable Entity
    '429':
      description: Too Many Requests
    '500':
      description: Internal Server Error
  securitySchemes:
    ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.